sane-leo(5)

NAME
sane-leo - SANE backend for LEO Technologies scanners

DESCRIPTION
The sane-leo library implements a SANE (Scanner Access Now Easy) backend that provides access to some LEO SCSI flatbed scanners. This backend should be considered beta-quality software! LEO scanners were also sold under the Across Technologies brand.

The scanners that should work with this backend are:

       Vendor Model           status
    ----------------------  -----------
      Across FS-1130          tested
      LEO S3                  tested
The options the backend supports can either be selected through command line options to programs like scanimage(1) or through GUI elements in xscanimage(1) or xsane(1).
If you have any strange behavior, please report to the backend maintainer or to the SANE mailing list. Valid command line options and their syntax can be listed by using
    scanimage --help -d leo

Scan Mode

--mode
    selects the basic mode of operation of the scanner. Valid choices are Black & White, Grayscale and Color. The Black & White mode is black and white only (1 bit). Grayscale mode will produce 256 levels of gray (8 bits). Color mode will produce a 24 bit color image.

--resolution
    selects the resolution for a scan. The scanner can do all resolutions between 1 and 300, in increments of 1.

Geometry options

-l -t -x -y
    control the scan area: -l sets the top left x coordinate, -t the top left y coordinate, -x selects the width and -y the height of the scan area. All parameters are specified in millimeters by default.

Enhancement options

--custom-gamma
    (grayscale and color mode only) allows the user to specify a gamma table (see the next 3 parameters).

--red-gamma-table
    (color mode only) can be used to download a user defined gamma table for the red channel. The table must be 256 bytes long.

--green-gamma-table
    (color mode only) can be used to download a user defined gamma table for the green channel. The table must be 256 bytes long.

--blue-gamma-table
    (color mode only) can be used to download a user defined gamma table for the blue channel. The table must be 256 bytes long.

--halftone
    (Black & White only) select the halftone mask to use. Possible values are Diamond, 8x8 Coarse Fatting, 8x8 Fine Fatting, 8x8 Bayer and 8x8 Vertical Line.

--preview
    requests a preview scan. The resolution used for that scan is 28 dpi and the scan area is the maximum allowed. The scan mode is user selected. The default is "no".

CONFIGURATION FILE
The configuration file /usr/pkg/etc/sane.d/leo.conf supports only one information: the device name to use (eg /dev/scanner).

FILES

/usr/pkg/lib/sane/libsane-leo.a
    The static library implementing this backend.

/usr/pkg/lib/sane/libsane-leo.so
    The shared library implementing this backend (present on systems that support dynamic loading).

ENVIRONMENT

SANE_DEBUG_LEO
    If the library was compiled with debug support enabled, this environment variable controls the debug level for this backend. E.g., a value of 128 requests all debug output to be printed. Smaller levels reduce verbosity.

LIMITATIONS
The windows TWAIN driver has many more options than this SANE backend. However they are only software adjustments. This backend only implements what the scanner can support.

BUGS
None known.

SEE ALSO
sane-scsi(5), scanimage(1), xscanimage(1), xsane(1), sane(7)

AUTHOR

The package is actively maintained by Frank Zago.
    http://www.zago.net/sane/#leo